Subject: bug#48097:

From: Alex Bennée <[email-masked]>
Date: Thu, 29 Apr 2021 15:31:14 +0100

During my rebuild I did a distclean, wiped the old install directory and
also cleared the eln-cache just to make sure everything was pristine. The
function in question is reported as natively compiled:

c-determine-limit-no-macro is a native compiled Lisp function in
‘cc-engine.el’.

On Thu, 29 Apr 2021 at 14:12, Eli Zaretskii <[email-masked]> wrote:

> > Cc: [email-masked]
> > Date: Thu, 29 Apr 2021 12:17:43 +0000
> > From:  Andrea Corallo via "Bug reports for GNU Emacs,
> >  the Swiss army knife of text editors" <[email-masked]>
> >
> > Alex Bennée <[email-masked]> writes:
> >
> > > I suspect this might be a duplicate of #48061 - re-building with the
> current master the bug has gone away and problems
> > > with c-mode cause by strange code would certainly explain it.
> >
> > Hi Alex,
> >
> > okay shall we close this then?
>
> Please don't close yet, I still see the problem.
>
> It is strange that Alex says bug#48061 should solve this: the fix for
> that bug changed comp-cstr.el, and I have that natively-compiled after
> that change.  Do I need to make sure other files are recompiled, for
> example the CC mode files?
>

-- 
Alex Bennée
KVM/QEMU Hacker for Linaro